%
% anyremote configuration file for Eye-of-gnome (http://projects.gnome.org/eog/) management. (Server-mode)
%

% STATUS stable
% XTEST yes
% SOUND no
% ENV no
% FBROWSER v.3i
% DEF_PIX_VIEWER   
% ALL_IN_ONE 

GuiAppName=Eye of gnome
GuiAppBinary=eog
GuiAppRun=echo 'A=`ps -ef|grep eog|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi'|sh -s
GuiAppIcon=eog.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=The Eye of GNOME image viewer is the official image viewer for the GNOME Desktop environment. With it, you can view single image files, as well as large image collections.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Include($(CfgDir)/Utils/aliases-server-fbrowser-v3i.cfg);\
	Include($(CfgDir)/Utils/aliases-server-pix-viewer.cfg);\
	Make(var,app_name,by_value,Eye Of Gnome);\
	Make(var,open_file,by_value,);\
	Make(var,app_manage_mode,by_value,eog_manage);

(Connect)=\
	Make(mode,eog_init);

[Mode]=eog_init : default_pixviewer_init

APP_IS_RUN=\
	Make(var,app_run,pgrep -u `id -u` eog|head -1|wc -l);

[ModeEnd]

[Mode]=eog_manage : default_pixviewer

% (EnterMode) by Utils/aliases-server-pix-viewer.cfg

APP_START_IF=\
	Make(var,app_run,pgrep -u `id -u` eog|head -1|wc -l));\
	Exec(if [ "x$(app_run)" = "x0" ]; then cd "`cat $HOME/.anyRemote/ar_storedir.tmp`";eog $(open_file)& fi 2> /dev/null);

APP_RAISE=\
	Exec($(CfgDir)/Utils/run-or-switch-to.sh -switch eog);

APP_QUIT=\
	Exec(pkill -u `id -u` eog);

APP_FULLSCREEN=Emulate(key,F11)

PIX_PREV=Emulate(keydown,Alt_L,key,Left,keyup,Alt_L)
PIX_NEXT=Emulate(keydown,Alt_L,key,Right,keyup,Alt_L)
PIX_FIRST=Emulate(keydown,Alt_L,key,Home,keyup,Alt_L)
PIX_LAST=Emulate(keydown,Alt_L,key,End,keyup,Alt_L)
PIX_ZOOM_IN=Emulate(keydown,Control_L,key,KP_Add,keyup,Control_L)
PIX_ZOOM_OUT=Emulate(keydown,Control_L,key,minus,keyup,Control_L)
PIX_FIT=Emulate(keydown,Control_L,key,0,keyup,Control_L)
PIX_ROTATE=Emulate(keydown,Control_L,key,R,keyup,Control_L)

[ModeEnd]

[End]
